<bugID>1032324<Summary>about:newtab can't switch search engine if icon/logo/image is not available</Summary><Description>If the current searchplugin doesn't contain extra images in the XML, logo is not displayed in about:newtab and it is not possible to switch to a different searchplugin.

* set Google as default and open about:newtab.
* switch to a different searchplugin (for example add Bugzilla searchplugin).
* logo disappears, no way to change it from about:newtab, need to use searchbar to do that.

An easy solution would be to just display a generic icon for searchplugins if needed logo is missing. This would be especially needed for l10n builds, where most of searchplugins don't ship extra images.</Description></bugID>